{% extends 'base.html.twig' %}
{% block title %}Réservation n°{{booking.id}}{% endblock %}
{% block body %}
{% set ad = booking.ad %}
{% set author = ad.author %}
    <div class="container mat7">
        <h1 class="maTmaB tac">Votre réservation (n°{{booking.id}})</h1>
        {% if app.request.query.get('widthAlertSuccess') %}
            <div class="alert alert-success">
                <h4 class="alert-heading">Bravo !</h4>
                <p>
                    Votre réservation auprès de
                    <strong>
                        <a href="{{path('user_show', {"slug":author.slug})}}">{{author.fullName}}</a>
                    </strong>
                    pour l'annonce
                    <strong>
                        <a href="{{path('ads_show', {"slug":ad.slug})}}">{{ad.title}}</a>
                    </strong>
                </p>
            </div>
        {% endif %}
        <div class="row">
            <div class="alert alert-light">
                <h2>Détails</h2>
                <dl class="row">
                    <dt class="col-md-4">Numéro</dt>
                    <dd class="col-md-8">{{booking.id}}</dd>
                    <dt class="col-md-4">Date de prise en main</dt>
                    <dd class="col-md-8">{{booking.startDate | date('d/m/Y')}}</dd>
                    <dt class="col-md-4">Date de retour</dt>
                    <dd class="col-md-8">{{booking.endDate | date('d/m/Y')}}</dd>
                    <dt class="col-md-4">Nombre de jour</dt>
                    <dd class="col-md-8">{{booking.duration}}</dd>
                    <dt class="col-md-4">Montant total</dt>
                    <dd class="col-md-8">{{booking.amount | number_format(2, ',', ' ') }}&euro;</dd>
                    <dt class="col-md-4">COmmentaire</dt>
                    <dd class="col-md-8">{{booking.comment | default('Aucuns commentaires') }}</dd>
                </dl> 
                <hr>
                <h2 class="tac alert-heading">Votre client</h2>
                <div class="row mb-3">
                    <div class="col-3">
                        <img src="{{author.picture}}" class="avatar avatar-medium" alt="Avatar de {{author.fullName}}"/>
                    </div>
                    <div class="col-9">
                        <h4>
                            <a href="{{path('user_show', {'slug': author.slug})}}">{{author.fullName}}</a>
                        </h4>
                        <span class="badge badge-primary">{{author.ads|length}} annonces</span>
                    </div>
                </div>
                {{author.description | raw}}
                <a class="btn btn-primary" href="{{path('user_show', {'slug':author.slug})}}">Plus d'infos sur {{author.firstName}}</a>
            </div>

            <div class="alet alert-light" id="comment">
                <h2 class="tac alert-heading">Votre avis compte !</h2>
                {% if date() > date(booking.endDate) %}
                    {% set comment = booking.ad.commentFromAuthor(app.user) %}
                    {% if comment is not null %}
                        <blockquote>
                            {{comment.content}}
                        </blockquote>
                        <strong>Note : </strong> {% include 'partials/rating.html.twig' with {'rating': comment.rating} %}
                    {% else %}
                        {{ form_start(form) }}
                        {{ form_widget(form) }}
                        <button type="submit" class="btn btn-success">Confirmer !</button>
                        {{ form_end(form) }}
                    {% endif %}
                {% else %}
                <p>Vous ne pouvez pas noté cette annonce tant que vous n'avez pas rendu le produit !</p>
                {% endif %}
            </div>

        </div>
        <div class="col">
            <div class="alert alert-light">
                <h2 class="tac alert-heading">Votre location</h2>
                <h4>
                    <a href="{{path('ads_show', {'slug': author.slug})}}">{{ad.title}}</a>
                </h4>
                <img src="{{ad.coverImage}}" class="img-fluid" alt="Image de {{ad.title}}"/>
                {{ad.introduction | raw}}
                <a href="{{path('ads_show', {'slug': ad.slug})}}" class="btn btn-primary mt-3">Plus d'informations</a>
            </div>
        </div>
    </div>
{% endblock %}